apiVersion: constraints.gatekeeper.sh/v1beta1
kind: K8sRequiredLabels
metadata:
  name: deployment-must-have-gk
spec:
  # enforcementAction: dryrun
  match:
    kinds:
      - apiGroups: ["apps"]
        kinds: ["Deployment"]
    namespaceSelector:
      matchExpressions:
      - key: workloadtype
        operator: In
        values: [prodworkload]
  parameters:
    labels: ["gatekeeper"]